searchNodes=[{"doc":"Tabula can transform a list of maps (structs too, e.g. Ecto schemas) or Keywords into an ASCII/GitHub Markdown table.","ref":"Tabula.html","title":"Tabula","type":"module"},{"doc":"","ref":"Tabula.html#max_widths/2","title":"Tabula.max_widths/2","type":"function"},{"doc":"","ref":"Tabula.html#print_table/2","title":"Tabula.print_table/2","type":"function"},{"doc":"","ref":"Tabula.html#render_table/2","title":"Tabula.render_table/2","type":"function"},{"doc":"","ref":"Tabula.Row.html","title":"Tabula.Row","type":"protocol"},{"doc":"","ref":"Tabula.Row.html#get/3","title":"Tabula.Row.get/3","type":"function"},{"doc":"","ref":"Tabula.Row.html#keys/1","title":"Tabula.Row.keys/1","type":"function"},{"doc":"","ref":"Tabula.Row.html#t:t/0","title":"Tabula.Row.t/0","type":"type"},{"doc":"Tabula Tabula can transform a list of maps (structs too, e.g. Ecto models) or Keywords into an ASCII/GitHub Markdown table. It's a weekend-over-beer-project of mine, loosely based on clojure.pprint.print-table .","ref":"readme.html","title":"Tabula","type":"extras"},{"doc":"Add Tabula to your list of dependencies in mix.exs: def deps do [ { :tabula , &quot;~&gt; 2.1.1&quot; } ] end Ensure Tabula is started before your application: def application do [ applications : [ :tabula ] ] end Let's get down to business :beers:","ref":"readme.html#installation","title":"Tabula - Installation","type":"extras"},{"doc":"defmodule Demo do use Tabula , style : :github_md def run do [ %{ &quot;name&quot; =&gt; &quot;Joe&quot; , &quot;age&quot; =&gt; 31 , &quot;city&quot; =&gt; &quot;New York&quot; } , %{ &quot;name&quot; =&gt; &quot;Adam&quot; , &quot;age&quot; =&gt; 33 , &quot;city&quot; =&gt; &quot;Warsaw&quot; } , %{ &quot;name&quot; =&gt; &quot;Yolanda&quot; , &quot;age&quot; =&gt; 28 , &quot;city&quot; =&gt; &quot;Berlin&quot; } ] |&gt; print_table end end Demo.run yields: age | city | name -- - | -- -- -- -- | -- -- -- - 31 | New York | Joe 33 | Warsaw | Adam 28 | Berlin | Yolanda Which renders in GitHub markdown as: age city name 31 New York Joe 33 Warsaw Adam 28 Berlin Yolanda Alternatively, you can use the default :org_mode style: defmodule Demo do def run do Code . get_docs ( Atom , :docs ) |&gt; Enum . sort |&gt; Enum . map ( fn { { function , arity } , _line , _kind , _signature , text } -&gt; %{ &quot;function&quot; =&gt; function , &quot;arity&quot; =&gt; arity , &quot;text&quot; =&gt; text |&gt; String . split ( &quot; \\n &quot; ) |&gt; Enum . at ( 0 ) } end ) |&gt; Tabula . print_table end end So that Demo.run yields: arity | function | text -- -- -- + -- -- -- -- -- -- -- - + -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- - 1 | :to_char_list | Converts an atom to a char list . 1 | :to_string | Converts an atom to a string . You can specify the columns you want to render. If you wish Tabula to automatically index your rows, you need to provide it with a special # key: iex(1)&gt; Repo . all ( Account ) |&gt; Tabula . print_table ( only : [ &quot;#&quot; , :name , :key ] ) # | :name | :key -- -- + -- -- -- -- -- + -- -- -- -- -- -- -- -- -- -- -- -- -- -- - 1 | Adam | e1210f10a721485be4ad50604cda 2 | Thomas | c0ae1f149298ffded9f41a828cf5 You can use render_table to return an iolist of the rendered data, if you wish not to write to stdout. Struct values will be printed using their string representation, provided String.Chars is implemented. If in doubt, please consult the tests.","ref":"readme.html#examples","title":"Tabula - Examples","type":"extras"},{"doc":"If time permits I would like to implement the following extensions (contributions very much welcome!): ANSI styles, because we all love colored output, don't we? Custom formatters Cell contents wrapping Option to define max table width","ref":"readme.html#maybefuturefeatures","title":"Tabula - MaybeFutureFeatures","type":"extras"},{"doc":"Adam Rutkowski - https://twitter.com/hq1aerosol Adrian Gruntkowski - https://twitter.com/adrgrunt Gian D - https://twitter.com/fusillicode Wojtek Mach - https://twitter.com/wojtekmach","ref":"readme.html#contributors","title":"Tabula - Contributors","type":"extras"}]